{ pkgs, ... }:

{
  services.openssh.enable = true;

  services.fail2ban = {
    enable = true;
    ignoreIP = [
      "82.67.15.247"
      "185.230.78.0/23"
    ];
    bantime = "1h";
    bantime-increment.enable = true;
  };

  boot.swraid = {
    enable = true;
    mdadmConf = ''
      MAILADDR root@lyes.eu
      DEVICE partitions
    '';
  };

  environment.systemPackages = with pkgs; [
    mdadm
  ];
}
